snd_card_new
Prev | Chapter 22. Sound Devices | Next

## Name

snd_card_new — create and initialize a soundcard structure

## Synopsis

`struct snd_card * snd_card_new (` | int | idx,
| const char * | xid,
| struct module * | module,
| int | extra_size`)`;

## Arguments

`idx`

  card index (address) [0 ... (SNDRV_CARDS-1)]

`xid`

  card identification (ASCII string)

`module`

  top level module for locking

`extra_size`

  allocate this extra size after the main soundcard structure

## Description

Creates and initializes a soundcard structure.

Returns kmallocated snd_card structure. Creates the ALSA control interface (which is blocked until snd_card_register function is called).

Prev | Up | Next
snd_pcm_lib_free_pages | Home | snd_card_disconnect